lgamma_r.c File Reference
`#include "ruby/missing.h"`
`#include <math.h>`
`#include <errno.h>`

Go to the source code of this file.

## Macros

#define | PI 3.14159265358979324 /* $\pi$ */
#define | LOG_2PI 1.83787706640934548 /* $\log 2\pi$ */
#define | LOG_PI 1.14472988584940017 /* $\log_e \pi$ */
#define | N 8
#define | B0 1 /* Bernoulli numbers */
#define | B1 (-1.0 / 2.0)
#define | B2 ( 1.0 / 6.0)
#define | B4 (-1.0 / 30.0)
#define | B6 ( 1.0 / 42.0)
#define | B8 (-1.0 / 30.0)
#define | B10 ( 5.0 / 66.0)
#define | B12 (-691.0 / 2730.0)
#define | B14 ( 7.0 / 6.0)
#define | B16 (-3617.0 / 510.0)

## Functions

static double | loggamma (double x)
double | lgamma_r (double x, int *signp)

## Macro Definition Documentation

#define B0 1 /* Bernoulli numbers */

Definition at line 22 of file lgamma_r.c.

#define B1 (-1.0 / 2.0)

Definition at line 23 of file lgamma_r.c.

#define B10 ( 5.0 / 66.0)

Definition at line 28 of file lgamma_r.c.

Referenced by loggamma().

#define B12 (-691.0 / 2730.0)

Definition at line 29 of file lgamma_r.c.

Referenced by loggamma().

#define B14 ( 7.0 / 6.0)

Definition at line 30 of file lgamma_r.c.

Referenced by loggamma().

#define B16 (-3617.0 / 510.0)

Definition at line 31 of file lgamma_r.c.

Referenced by loggamma().

#define B2 ( 1.0 / 6.0)

Definition at line 24 of file lgamma_r.c.

Referenced by loggamma().

#define B4 (-1.0 / 30.0)

Definition at line 25 of file lgamma_r.c.

Referenced by loggamma().

#define B6 ( 1.0 / 42.0)

Definition at line 26 of file lgamma_r.c.

Referenced by loggamma().

#define B8 (-1.0 / 30.0)

Definition at line 27 of file lgamma_r.c.

Referenced by loggamma().

#define LOG_2PI 1.83787706640934548 /* $\log 2\pi$ */

Definition at line 18 of file lgamma_r.c.

Referenced by loggamma().

#define LOG_PI 1.14472988584940017 /* $\log_e \pi$ */

Definition at line 19 of file lgamma_r.c.

Referenced by lgamma_r().

#define N 8

Definition at line 20 of file lgamma_r.c.

Referenced by loggamma().

#define PI 3.14159265358979324 /* $\pi$ */

Definition at line 17 of file lgamma_r.c.

Referenced by lgamma_r().

## Function Documentation

double lgamma_r | ( | double | x,
|  | int * | signp
| ) |  |

Definition at line 63 of file lgamma_r.c.

References errno, i, LOG_PI, loggamma(), and PI.

Referenced by math_lgamma().

static double loggamma | ( | double | x | ) |

static

Definition at line 34 of file lgamma_r.c.

References B10, B12, B14, B16, B2, B4, B6, B8, LOG_2PI, N, and v.

Referenced by lgamma_r().